Package org.eclipse.emf.cdo.server.db

## Interface IPreparedStatementCache

-     @Deprecated
      public interface IPreparedStatementCache

  Deprecated.
  As of 4.2 use `IDBConnection`.
  Caches JDBC `statements` according to given `reuse probabilities`.
  Since:
    2.0
  Author:
    Stefan Winkler
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IPreparedStatementCache.ReuseProbability` | Deprecated. An enum for the degree of probability to which a prepared statement is reused later on.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.sql.PreparedStatement` | `getPreparedStatement​(java.lang.String sql, IPreparedStatementCache.ReuseProbability reuseProbability)` | Deprecated.
    `void` | `releasePreparedStatement​(java.sql.PreparedStatement ps)` | Deprecated.
    `void` | `setConnection​(java.sql.Connection connection)` | Deprecated.

- - ### Method Detail

    - #### setConnection

          void setConnection​(java.sql.Connection connection)

      Deprecated.

    - #### getPreparedStatement

          java.sql.PreparedStatement getPreparedStatement​(java.lang.String sql,
                                                          IPreparedStatementCache.ReuseProbability reuseProbability)

      Deprecated.

    - #### releasePreparedStatement

          void releasePreparedStatement​(java.sql.PreparedStatement ps)

      Deprecated.